Loading...
Searching...
No Matches
CBot::CBotFileAccessHandler Class Referenceabstract
Inheritance diagram for CBot::CBotFileAccessHandler:
[legend]

## Public Types

enum class | OpenMode : char { Read = 'r' , Write = 'w' , Append = 'a' }

## Public Member Functions

virtual std::unique_ptr< CBotFile > | OpenFile (const std::string &filename, OpenMode mode)=0
virtual bool | DeleteFile (const std::string &filename)=0

The documentation for this class was generated from the following file:

- src/CBot/stdlib/stdlib_public.h